edge_attr {igraph} | R Documentation

## Query edge attributes of a graph

### Description

Query edge attributes of a graph

### Usage

    edge_attr(graph, name, index = E(graph))

### Arguments

`graph` | The graph
`name` | The name of the attribute to query. If missing, then all edge attributes are returned in a list.
`index` | An optional edge sequence, to query edge attributes for a subset of edges.

### Value

The value of the edge attribute, or the list of all edge attributes if `name` is missing.

### See Also

Other graph attributes: `$.igraph.vs`, `$<-.igraph.vs`, `V<-`, `[<-.igraph.vs`, `[[<-.igraph.vs`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`; `$.igraph`, `$<-.igraph`, `igraph-dollar`, `igraph-dollar`; `attributes`, `graph_attr_names`, `list.graph.attributes`; `delete_edge_attr`, `remove.edge.attribute`; `delete_graph_attr`, `remove.graph.attribute`; `delete_vertex_attr`, `remove.vertex.attribute`; `edge.attributes<-`, `edge_attr<-`; `edge_attr_names`, `list.edge.attributes`; `get.graph.attribute`, `graph.attributes`, `graph_attr`; `get.vertex.attribute`, `vertex.attributes`, `vertex_attr`; `graph.attributes<-`, `graph_attr<-`; `list.vertex.attributes`, `vertex_attr_names`; `set.edge.attribute`, `set_edge_attr`; `set.graph.attribute`, `set_graph_attr`; `set.vertex.attribute`, `set_vertex_attr`; `vertex.attributes<-`, `vertex_attr<-`

### Examples

    g <- make_ring(10) %>%
      set_edge_attr("weight", value = 1:10) %>%
      set_edge_attr("color", value = "red")
    g
    plot(g, edge.width = E(g)$weight)

[Package igraph version 1.0.1 Index]